LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-20-2016, 07:20 PM   #1
xtiansimon
Member
 
Registered: Nov 2009
Posts: 33

Rep: Reputation: 0
Yum Update borked my X11 DE


My dino-IBM RAID xServer runs CentOS 6.x with KDE and has two hardware video options. The built-in AMD/ATI card and a PCI NVIDIA card as well.

I updated two weeks ago and the X11 update borked my KDE.

1) What yum update did:
- X11 updated to `org-x11-server-Xorg-1.17.4`
- removed `xorg-x11--glamor` and `xorg-x11-drv-modesetting`.

2) My hardware is VGA:
Code:
    $ lspci -m | grep -e VGA
    01:00.0 "VGA compatible controller" "NVIDIA Corporation" "G73 [GeForce 7600 GS]" -ra2 "BFG Tech" "Device 21c3"
    05:01.0 "VGA compatible controller" "Advanced Micro Devices, Inc. [AMD/ATI]" "Rage XL PCI" -r27 "IBM" "eServer xSeries server mainboard"
3) What happens.
As a server I usually boot to runlevel 3 and use X11 when I need to use some feature or whatever that is done easier in graphical environment. When use `$ startx` screen goes black and freezes up the controls. I'm guessing something about my hardware isn't being supported?

What's the broad take on this event (save for buy something new)?

Last edited by xtiansimon; 08-20-2016 at 07:22 PM.
 
Old 08-20-2016, 08:58 PM   #2
AwesomeMachine
Senior Member
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian testing/sid; OpenSuSE; Fedora; Mint
Posts: 3,262

Rep: Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581
You probably need to reinstall the nvidia driver, so it can build and install a module compatible to the running kernel.
 
Old 08-21-2016, 02:52 AM   #3
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 6,965
Blog Entries: 4

Rep: Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668
why on earth do you need 2 gpus in a server?

i would remove one and only use the other.
 
Old 08-21-2016, 09:29 AM   #4
xtiansimon
Member
 
Registered: Nov 2009
Posts: 33

Original Poster
Rep: Reputation: 0
@ondoho, haha. Yeah. That's true. I bought this used, and it shipped with this other card. It really is an improvement over the built in card when using X11. Do you know if having two cards confuses update scripts?
 
Old 08-21-2016, 10:34 AM   #5
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 6,965
Blog Entries: 4

Rep: Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668Reputation: 1668
i don't know.
all i know is centos is a server distro and notoriously ill-equipped to deal with this sort of setup.
also, does it have to be kde? why isn't the default gnome2 sufficient?
tried taking the nvidia out?
or doing what awesomemachine said?
what did you find on centos documentation, wiki and forums? or wasn't that the very first place to search for a solution?
 
Old 08-21-2016, 03:34 PM   #6
sidzen
Member
 
Registered: Feb 2014
Location: Inland PNW
Distribution: slackware & related distros
Posts: 109

Rep: Reputation: Disabled
As a suggestion, pull the Rage card and try with nVidia driver on a clean usb.
 
Old 08-21-2016, 06:47 PM   #7
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,229

Rep: Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522
that old gforce7 card uses the legacy support "304.131 " driver
EVERY!!! time you update the kernel,x11/xorg/mesa you MUST!!!! reinstall the nvidia.run driver

or use the centos nvidia repo and install the legacy 304 rpm
 
  


Reply

Tags
centos, update, x11, xorg, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
YUM update (Fedora 15) borked httpd and php xtiansimon Linux - Server 9 05-26-2012 04:38 PM
[SOLVED] xorg-server-1.7.1 shows only blank screen after update from xorg-server-1.6.3 irmin Linux - Software 2 01-07-2010 12:23 PM
[SOLVED] Error with xorg-x11-server-Xorg callumacrae Fedora 1 10-13-2009 03:22 PM
xorg-x11-server error mbanbury Fedora 4 01-29-2007 01:15 PM
X server not working after yum update & font server problems snow93 Linux - Software 1 08-02-2006 06:26 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 07:48 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration